# Contributing

Want to contribute to Viewfinder? Please do!

Contributions to this repo should take a "common-sense" approach. Follow a formal process. Before building anything, [create a discussion](https://github.com/lfroms/viewfinder/discussions/new) or [open an issue](https://github.com/lfroms/viewfinder/issues/new/choose) so that we can discuss what value your work will bring to Viewfinder.

## Discussion & Documentation

| I want to...                         | Solution                                                                                                         |
| ------------------------------------ | ---------------------------------------------------------------------------------------------------------------- |
| Report a bug                         | [Open an issue](https://github.com/lfroms/viewfinder/issues/new/choose) and use the "Bug report" template        |
| Request a new feature or improvement | [Open an issue](https://github.com/lfroms/viewfinder/issues/new/choose) and use the "Feature request" template   |
| Ask questions or gain context        | [Create a discussion](https://github.com/lfroms/viewfinder/discussions/new) and select the appropriate template. |

## Your Contributions

Any contributions you make will be licensed under the same [GPL-3.0 License](https://github.com/lfroms/viewfinder/blob/master/LICENSE) that covers this project. When creating a new Swift source file, adjust the copyright in the header to match your name. Follow the same conventions as other source files already in the project.

## Basic Code Style

- 4 spaces for indentation in Swift, _no tabs_!
- Keep your lines short. If you need to scroll to see an entire line of code, it's time to break it up.
- Keep SwiftUI views small and concise. Each view should represent a distinct user interface element.
